# # #
# /32/iterate_example.rb
# (c) 2010 Jan Lelis <mail@janlelis.de>. MIT License.
# See: https://rbjl.janlelis.com/32-introducing-ruby-zucker-a-new-syntactical-sugar-gem
# # #

require 'zucker/iterate' # or 'zucker/all'

# iterate basically does the same thing as each, but with two differences:
# It feels more like a control structure and it allows easy iteration over
# multiple objects.

iterate [1,2], [3,4,5] do |e,f|
  puts "#{e},#{f}"
end
# outputs
#  1,3
#  2,4
#  ,5
